unit uFenster;
// ***********************************************************************
// K L A S S E : TLampenGUI
// -----------------------------------------------------------------------
// Version  : 1.0   - Prototyp
// Autor    : S. Spolwig, 2005
//            nach einer Vorlage von Christian Steinbrucker, OSZ TIEM, Berlin
// Aufgabe  : GUI fuer die Taschenlampe
// Compiler : DELPHI 6
// Aenderung: -
// ***********************************************************************

interface
// =======================================================================
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,ComCtrls,
  uTaschenlampe;

type
  TLampenGUI = class(TForm)
    GehaeusePnl   : TPanel;
    LampenShp     : TShape;
    AufschriftLbl : TLabel;
    SchalterUpDown: TUpDown;
    procedure FormCreate(Sender: TObject);
    procedure SchalterUpDownClick(Sender: TObject; Button: TUDBtnType);

  private
   procedure Darstellen(TLa: TTaschenlampe);
  end;

var
  LampenGUI   : TLampenGUI;
  Taschenlampe: TTaschenlampe;

implementation
{$R *.dfm}
// =======================================================================

procedure TLampenGUI.FormCreate(Sender: TObject);
// -----------------------------------------------------------------------
begin
  Taschenlampe := TTaschenlampe.Create;
end;

procedure TLampenGUI.SchalterUpDownClick(Sender: TObject; Button: TUDBtnType);
// -----------------------------------------------------------------------
begin
  if (SchalterUpDown.Position >= 1)
  then
    begin
      Taschenlampe.Einschalten;       // leuchtet oder auch nicht
      SchalterUpDown.Position := 0
    end
  else Taschenlampe.Ausschalten;
  Darstellen (Taschenlampe);
end;


Procedure TLampenGUI.Darstellen(TLa: TTaschenlampe);
// -----------------------------------------------------------------------
Begin
  If TLa.Leuchtet = true 
  Then LampenShp.brush.color := clyellow
  ELSE LampenShp.brush.color := clBlack;
End;

END. // -------- UNIT -------------.
